// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        Click_node: cc.Node,
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad() {},

    start() {
        this.init();
        // this.Click_node.on(cc.Node.EventType.TOUCH_START, function() {
        //     cc.audioEngine.playEffect(this.UiController.audioArr[0]);
        //     this.UiController.change_interface(this.UiController.interfacaArr, 0);
        //     console.log("点击活动");
        //     this.game.removeAllChildren();
        // }, this);
    },

    // update (dt) {},
    init() {
        this.game = cc.find("Canvas/Game");
        this.UiController = cc.find("Canvas/UiController").getComponent('UiController');


    },

});